package com.xkrs.common.account;

import org.springframework.security.core.GrantedAuthority;

/**
 * 权限认证服务
 * @author tajochen
 */
public class GrantedAuthorityImpl implements GrantedAuthority {

    private String authority;

    public GrantedAuthorityImpl(String authority) {
        this.authority = authority;
    }

    public void setAuthority(String authority) {
        this.authority = authority;
    }

    @Override
    public String getAuthority() {
        return this.authority;
    }
}
